diff -ur arc-gui-clients-0.4.6-Source.orig/src/arcstorage-ui/arcstoragewindow.cpp arc-gui-clients-0.4.6-Source/src/arcstorage-ui/arcstoragewindow.cpp
--- arc-gui-clients-0.4.6-Source.orig/src/arcstorage-ui/arcstoragewindow.cpp	2013-10-17 00:03:09.000000000 +0200
+++ arc-gui-clients-0.4.6-Source/src/arcstorage-ui/arcstoragewindow.cpp	2017-10-11 14:47:44.831995230 +0200
@@ -1629,14 +1629,14 @@
 {
     QByteArray data = m_tarProcess->readAllStandardError();
     QString text = QString(data);
-    std::cout << text.toStdString() << endl;
+    std::cout << text.toStdString() << std::endl;
 }
 
 void ArcStorageWindow::onTarStandardOutput()
 {
     QByteArray data = m_tarProcess->readAllStandardOutput();
     QString text = QString(data);
-    std::cout << text.toStdString() << endl;
+    std::cout << text.toStdString() << std::endl;
 }
 
 void ArcStorageWindow::onTarFinished(int exitCode, QProcess::ExitStatus exitStatus)
diff -ur arc-gui-clients-0.4.6-Source.orig/src/common/arcproxy-utils.cpp arc-gui-clients-0.4.6-Source/src/common/arcproxy-utils.cpp
--- arc-gui-clients-0.4.6-Source.orig/src/common/arcproxy-utils.cpp	2013-10-17 00:03:09.000000000 +0200
+++ arc-gui-clients-0.4.6-Source/src/common/arcproxy-utils.cpp	2017-10-11 14:49:06.399103083 +0200
@@ -1255,7 +1255,7 @@
             Arc::UserConfig usercfg_tmp( (Arc::initializeCredentialsType(Arc::initializeCredentialsType::SkipCredentials)) );
             usercfg_tmp.CACertificatesDirectory(usercfg.CACertificatesDirectory());
 
-            Arc::CredentialStore cstore( (usercfg_tmp,Arc::URL("myproxy://"+myproxy_server)) );
+            Arc::CredentialStore cstore(usercfg_tmp,Arc::URL("myproxy://"+myproxy_server));
             std::map<std::string,std::string> myproxyopt;
             myproxyopt["username"] = user_name;
             myproxyopt["password"] = passphrase;
